### Function

# GLib TrashStack push

deprecated: 2.48

#### Declaration

    void
    g_trash_stack_push (
      GTrashStack** stack_p,
      gpointer data_p
    )

#### Description

Pushes a piece of memory onto a `GTrashStack`.

Deprecated since: 2.48

`GTrashStack` is deprecated without replacement.

#### Parameters

`stack_p`

  Type: `GTrashStack`

  A `GTrashStack`.

  The data is owned by the caller of the function.

`data_p`

  Type: `gpointer`

  The piece of memory to push on the stack.

  The data is owned by the caller of the function.